﻿@model IEnumerable<ProjectUni.Models.Job>
@using ProjectUni.Models;
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}

@{
    PContext db = new PContext();
    //var id = Session["UserID"];
    var ob = db.JobApplication.ToList();


}


<div class="col-xs-12">
    <div class="box" style="background-color:rgba(0, 0, 0, 0.81);padding-bottom:10px;">
        <!-- /.box-header -->
        <div class="box-body" style="margin:20px 50px 20px 50px;padding:0px 50px 0px 50px;">
            <h3 style="color:white;padding-top:10px;">Jobs</h3>
            <p>
                @Html.ActionLink("Create New", "Create", "Jobs")
            </p>
            <table id="example2" class="table table-bordered" style="color:white;">
                <thead>
                    <tr>
                        <th>
                            @Html.DisplayNameFor(model => model.JobTitle)
                        </th>

                        <th>
                            @Html.DisplayNameFor(model => model.JobDate)
                        </th>

                        <th>
                            @Html.DisplayNameFor(model => model.ApplyBefore)
                        </th>

                        <th>
                            @Html.DisplayNameFor(model => model.ApplyId)
                        </th>

                        <th>Action</th>
                    </tr>

                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelItem => item.JobTitle)
                            </td>

                            <td>
                                @Html.DisplayFor(modelItem => item.JobDate)
                            </td>

                            <td>
                                @Html.DisplayFor(modelItem => item.ApplyBefore)
                            </td>

                            <td>
                                <a href="~/jobs/Applyby/@item.JobId">
                                    @ob.Where(j => j.JobId == item.JobId).Count()
                                </a>
                            </td>

                            <td>

                                @if (item.ApplyBefore >= DateTime.Now)
                                {
                                    @Html.ActionLink("Edit", "Edit", "jobs", new { id = item.JobId }, null)
                                    @Html.ActionLink("Delete", "Delete", "jobs", new { id = item.JobId }, null)
                                }
                                @Html.ActionLink("Details", "Details", "jobs", new { id = item.JobId }, null)

                            </td>
                        </tr>
                    }


                </tbody>

            </table>
        </div>
        <!-- /.box-body -->
    </div>
    <!-- /.box -->
</div>



